% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/afni_3dTshift.R
\name{afni_3dTshift}
\alias{afni_3dTshift}
\alias{tshift}
\title{Convert AFNI File to NIFTI Image}
\usage{
afni_3dTshift(file, tr, tpattern = c("alt+z", "alt+z2", "alt-z",
  "alt-z2", "seq+z", "seq-z"), tzero = NULL, slice = NULL,
  ignore_vols = 0, opts = "", retimg = TRUE, ...)

tshift(...)
}
\arguments{
\item{file}{AFNI BRIK or HEAD file}

\item{tr}{Repetition time. You may attach the suffix 's' for seconds,
or 'ms' for milliseconds.}

\item{tpattern}{Pattern of slice time pattern.
alt+z = altplus   = alternating in the plus direction
alt+z2            = alternating, starting at slice #1 instead of #0
alt-z = altminus  = alternating in the minus direction
alt-z2            = alternating, starting at slice #nz-2 instead of #nz-1
seq+z = seqplus   = sequential in the plus direction
seq-z = seqminus  = sequential in the minus direction}

\item{tzero}{time offset to align each slice to 
(The default alignment time is the average of the 'tpattern' values)}

\item{slice}{slice number indicating the time offset to align each slice to.
If this is specified \code{tzero} may not be, and vice versa.}

\item{ignore_vols}{Number of volumes to ignore/delete}

\item{opts}{Additional options to pass to \code{3dTshift}}

\item{retimg}{Should an image be returned?}

\item{...}{additional arguments to \code{\link{readnii}}}
}
\value{
If \code{retimg} then object of class nifti.  Otherwise,
the \code{outfile} argument is returned (or a temporary filename)
}
\description{
Converts an AFNI file to an NIfTI file or \code{nifti} 
using \code{3dTshift}
}
